## Class TActiveButton

Description

Implements interfaces:

- ICallbackEventHandler
- IActiveControl

TActiveButton is the active control counter part to TButton.

When a TActiveButton is clicked, rather than a normal post back request a callback request is initiated.

The OnCallback event is raised during a callback request and it is raise after the OnClick event.

When the TBaseActiveCallbackControl::setEnableUpdate property is true, changing the Text property during callback request will update the button's caption upon callback response completion.

- since: 3.1
- version: $Id: TActiveButton.php 1458 2006-10-06 03:46:05Z wei $
- author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Located in /Web/UI/ActiveControls/TActiveButton.php (line 36)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TButton
                   |
                   --TActiveButton

Method Summary
TActiveButton __construct ()
void addAttributesToRender (mixed $writer)
TBaseActiveCallbackControl getActiveControl ()
string getClientClassName ()
TCallbackClientSide getClientSide ()
void onCallback (TCallbackEventParameter $param)
void raiseCallbackEvent (TCallbackEventParameter $param)
void renderClientControlScript (mixed $writer)
void setText (string $value)
Methods
Constructor __construct (line 43)

Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.

- access: public

TActiveButton __construct ()

Redefinition of:

TControl::__construct()
  Constructor.

addAttributesToRender (line 116)

Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.

- access: protected

void addAttributesToRender (mixed $writer)

Redefinition of:

TButton::addAttributesToRender()
  Adds attribute name-value pairs to renderer.

getActiveControl (line 52)

- return: standard callback control options.
- access: public

TBaseActiveCallbackControl getActiveControl ()
getClientClassName (line 127)

- return: corresponding javascript class name for this TActiveButton.
- access: protected

string getClientClassName ()

Redefinition of:

TButton::getClientClassName()
  Gets the name of the javascript class responsible for performing postback for this control.

getClientSide (line 60)

- return: client side request options.
- access: public

TCallbackClientSide getClientSide ()
onCallback (line 87)

This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.

- access: public

void onCallback (TCallbackEventParameter $param)

- TCallbackEventParameter $param: event parameter to be passed to the event handlers

raiseCallbackEvent (line 74)

Raises the callback event. This method is required by

ICallbackEventHandler} interface. If CausesValidation is true, it will invoke the page's TPage:: method first. It will raise OnClick event first and then the OnCallback event. This method is mainly used by framework and control developers.

- access: public

void raiseCallbackEvent (TCallbackEventParameter $param)

- TCallbackEventParameter $param: the event parameter

renderClientControlScript (line 108)

Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.

- access: protected

void renderClientControlScript (mixed $writer)

Redefinition of:

TButton::renderClientControlScript()
  Renders the client-script code.

setText (line 97)

Updates the button text on the client-side if the setEnableUpdate property is set to true.

- access: public

void setText (string $value)

- string $value: caption of the button

Redefinition of:

TButton::setText()

#### Inherited Methods

Inherited From TButton

> TButton::addAttributesToRender()
> TButton::canCauseValidation()
> TButton::getButtonType()
> TButton::getCausesValidation()
> TButton::getClientClassName()
> TButton::getCommandName()
> TButton::getCommandParameter()
> TButton::getData()
> TButton::getEnableClientScript()
> TButton::getIsDefaultButton()
> TButton::getPostBackOptions()
> TButton::getTagName()
> TButton::getText()
> TButton::getValidationGroup()
> TButton::needPostBackScript()
> TButton::onClick()
> TButton::onCommand()
> TButton::raisePostBackEvent()
> TButton::renderClientControlScript()
> TButton::renderContents()
> TButton::setButtonType()
> TButton::setCausesValidation()
> TButton::setCommandName()
> TButton::setCommandParameter()
> TButton::setData()
> TButton::setEnableClientScript()
> TButton::setIsDefaultButton()
> TButton::setText()
> TButton::setValidationGroup()

Inherited From TWebControl

> TWebControl::addAttributesToRender()
> TWebControl::clearStyle()
> TWebControl::copyBaseAttributes()
> TWebControl::createStyle()
> TWebControl::getAccessKey()
> TWebControl::getBackColor()
> TWebControl::getBorderColor()
> TWebControl::getBorderStyle()
> TWebControl::getBorderWidth()
> TWebControl::getCssClass()
> TWebControl::getDisplay()
> TWebControl::getFont()
> TWebControl::getForeColor()
> TWebControl::getHasStyle()
> TWebControl::getHeight()
> TWebControl::getStyle()
> TWebControl::getTabIndex()
> TWebControl::getTagName()
> TWebControl::getToolTip()
> TWebControl::getWidth()
> TWebControl::render()
> TWebControl::renderBeginTag()
> TWebControl::renderContents()
> TWebControl::renderEndTag()
> TWebControl::setAccessKey()
> TWebControl::setBackColor()
> TWebControl::setBorderColor()
> TWebControl::setBorderStyle()
> TWebControl::setBorderWidth()
> TWebControl::setCssClass()
> TWebControl::setDisplay()
> TWebControl::setForeColor()
> TWebControl::setHeight()
> TWebControl::setStyle()
> TWebControl::setTabIndex()
> TWebControl::setToolTip()
> TWebControl::setWidth()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:29:24 -0400 by phpDocumentor 1.3.0RC4